Retrieve a driver’s limits
curl --request GET \
--url https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "driver_limits",
"driver_id": "<string>",
"overrides": [
{
"object": "limit",
"metric": "kwh",
"period": "session",
"amount": "<string>",
"source": "fleet",
"used": "<string>",
"remaining": "<string>",
"period_start": "<string>",
"resets_at": "<string>"
}
],
"limits": [
{
"object": "limit",
"metric": "kwh",
"period": "session",
"amount": "<string>",
"source": "fleet",
"used": "<string>",
"remaining": "<string>",
"period_start": "<string>",
"resets_at": "<string>"
}
]
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Limits
Retrieve a driver’s limits
Requires the fleet:read scope.
GET
/
drivers
/
{driverId}
/
limits
Retrieve a driver’s limits
curl --request GET \
--url https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "driver_limits",
"driver_id": "<string>",
"overrides": [
{
"object": "limit",
"metric": "kwh",
"period": "session",
"amount": "<string>",
"source": "fleet",
"used": "<string>",
"remaining": "<string>",
"period_start": "<string>",
"resets_at": "<string>"
}
],
"limits": [
{
"object": "limit",
"metric": "kwh",
"period": "session",
"amount": "<string>",
"source": "fleet",
"used": "<string>",
"remaining": "<string>",
"period_start": "<string>",
"resets_at": "<string>"
}
]
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
Your fleet API key, e.g. Authorization: Bearer cxk_live_…. Create keys in the fleet portal under Developers.

